SSasymp {nls} | R Documentation

## Asymptotic Regression Model

### Description

This `selfStart` model evaluates the asymptotic regression function and its gradient. It has an `initial` attribute that will evaluate initial estimates of the parameters `Asym`, `R0`, and `lrc` for a given set of data.

### Usage

    SSasymp(input, Asym, R0, lrc)

### Arguments

`input` | a numeric vector of values at which to evaluate the model.
`Asym` | a numeric parameter representing the horizontal asymptote on the right side (very large values of `input`).
`R0` | a numeric parameter representing the response when `input` is zero.
`lrc` | a numeric parameter representing the natural logarithm of the rate constant.

### Value

a numeric vector of the same length as `input`. It is the value of the expression `Asym+(R0-Asym)*exp(-exp(lrc)*input)`. If all of the arguments `Asym`, `R0`, and `lrc` are names of objects, the gradient matrix with respect to these names is attached as an attribute named `gradient`.

### Author(s)

Jose Pinheiro and Douglas Bates

### See Also

`nls`, `selfStart`

### Examples

    data( Loblolly )
    Lob.329 <- Loblolly[ Loblolly$Seed == "329", ]
    SSasymp( Lob.329$age, 100, -8.5, -3.2 )  # response only
    Asym <- 100
    resp0 <- -8.5
    lrc <- -3.2
    SSasymp( Lob.329$age, Asym, resp0, lrc ) # response and gradient
    getInitial(height ~ SSasymp( age, Asym, resp0, lrc), data = Lob.329)
    ## Initial values are in fact the converged values
    fm1 <- nls(height ~ SSasymp( age, Asym, resp0, lrc), data = Lob.329)
    summary(fm1)

[Package Contents]